Function
createTrie
Creates a trie.
createTrie(g, terminalStateMap, keywords)
Include Headers
seqan/graph_types.h
Parameters

g | Out-parameter: An automaton. Types: Trie

terminalStateMap

Out-parameter: An external property map.
Types: External Property Map
Remarks: The external property map must be a String<String<unsigned int> > because in every vertex of the trie a number of keywords can end. This is the case in the Aho-Corasick algorithm if one pattern is a suffix of another pattern! Hence, we must associate with every vertex a set of indices that correspond to keywords.

keywords | In-parameter: A set of strings. Types: String

Return Values
void
See Also
createTrieOnReverse, createSuffixTrie
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47